Package org.apache.sysds.runtime.instructions.cp

## Enum VariableCPInstruction.VariableOperationCode

- java.lang.Object
- - java.lang.Enum<VariableCPInstruction.VariableOperationCode>
  - - org.apache.sysds.runtime.instructions.cp.VariableCPInstruction.VariableOperationCode

- All Implemented Interfaces:
    `Serializable`, `Comparable<VariableCPInstruction.VariableOperationCode>`
  Enclosing class:
    VariableCPInstruction

      public static enum VariableCPInstruction.VariableOperationCode
      extends Enum<VariableCPInstruction.VariableOperationCode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AssignVariable` |
    `CastAsBooleanVariable` |
    `CastAsDoubleVariable` |
    `CastAsFrameVariable` |
    `CastAsIntegerVariable` |
    `CastAsListVariable` |
    `CastAsMatrixVariable` |
    `CastAsScalarVariable` |
    `CopyVariable` |
    `CreateVariable` |
    `MoveVariable` |
    `Read` |
    `RemoveVariable` |
    `RemoveVariableAndFile` |
    `SetFileName` |
    `Write` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VariableCPInstruction.VariableOperationCode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static VariableCPInstruction.VariableOperationCode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CreateVariable

          public static final VariableCPInstruction.VariableOperationCode CreateVariable

    - #### AssignVariable

          public static final VariableCPInstruction.VariableOperationCode AssignVariable

    - #### CopyVariable

          public static final VariableCPInstruction.VariableOperationCode CopyVariable

    - #### MoveVariable

          public static final VariableCPInstruction.VariableOperationCode MoveVariable

    - #### RemoveVariable

          public static final VariableCPInstruction.VariableOperationCode RemoveVariable

    - #### RemoveVariableAndFile

          public static final VariableCPInstruction.VariableOperationCode RemoveVariableAndFile

    - #### CastAsScalarVariable

          public static final VariableCPInstruction.VariableOperationCode CastAsScalarVariable

    - #### CastAsMatrixVariable

          public static final VariableCPInstruction.VariableOperationCode CastAsMatrixVariable

    - #### CastAsFrameVariable

          public static final VariableCPInstruction.VariableOperationCode CastAsFrameVariable

    - #### CastAsListVariable

          public static final VariableCPInstruction.VariableOperationCode CastAsListVariable

    - #### CastAsDoubleVariable

          public static final VariableCPInstruction.VariableOperationCode CastAsDoubleVariable

    - #### CastAsIntegerVariable

          public static final VariableCPInstruction.VariableOperationCode CastAsIntegerVariable

    - #### CastAsBooleanVariable

          public static final VariableCPInstruction.VariableOperationCode CastAsBooleanVariable

    - #### Write

          public static final VariableCPInstruction.VariableOperationCode Write

    - #### Read

          public static final VariableCPInstruction.VariableOperationCode Read

    - #### SetFileName

          public static final VariableCPInstruction.VariableOperationCode SetFileName

  - ### Method Detail

    - #### values

          public static VariableCPInstruction.VariableOperationCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VariableCPInstruction.VariableOperationCode c : VariableCPInstruction.VariableOperationCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VariableCPInstruction.VariableOperationCode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null